<?php

namespace app\controllers;

use app\models\Anime;

class AnimeController extends \lithium\action\Controller {
	public $publicActions = array('index', 'view');

	public function index()
	{
		$page = isset($this->request->query['page']) ? $this->request->query['page'] : 1;
		$anime = Anime::find('all', array('limit' => '10'), compact('page'));
		return compact('page', 'anime');
	}

	public function view($id = null)
	{
		if (is_numeric($id)) {
			return Anime::search($id, null, 'special_id');
		}
		else {
			return $this->redirect(array('controller' => 'search','q' => array('search' => $id)));
		}
	
	}
}
